package com.cool.store.dao;

import com.cool.store.entity.OpenAcceptanceInfoDO;
import com.cool.store.mapper.OpenAcceptanceInfoMapper;
import com.cool.store.request.OpenAcceptanceRequest;
import com.cool.store.vo.OpenAcceptanceInfoListVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author byd
 * @date 2024-04-22 14:48
 */
@Repository
public class OpenAcceptanceInfoDAO {
    @Resource
    private OpenAcceptanceInfoMapper openAcceptanceInfoMapper;


    public List<OpenAcceptanceInfoListVO> openAcceptanceList(OpenAcceptanceRequest openAcceptanceRequest) {

        return openAcceptanceInfoMapper.openAcceptanceList(openAcceptanceRequest);
    }

    public int insertSelective(OpenAcceptanceInfoDO openAcceptanceInfoDO){
        return openAcceptanceInfoMapper.insertSelective(openAcceptanceInfoDO);
    }

    public OpenAcceptanceInfoDO selectOne(OpenAcceptanceInfoDO acceptanceInfoDO) {
        return openAcceptanceInfoMapper.selectOne(acceptanceInfoDO);
    }
    public int updateByPrimaryKeySelective(OpenAcceptanceInfoDO acceptanceInfoDO) {
        return openAcceptanceInfoMapper.updateByPrimaryKeySelective(acceptanceInfoDO);
    }

    public int shopOpenAcceptanceStatusUpdate(){
        return openAcceptanceInfoMapper.shopOpenAcceptanceStatusUpdate();
    }
}
